net.i2p.router.web

## Class WebAppConfiguration

- java.lang.Object
- - net.i2p.router.web.WebAppConfiguration

- All Implemented Interfaces:
    Serializable, WebApplicationContext.Configuration

      public class WebAppConfiguration
      extends Object
      implements WebApplicationContext.Configuration

  Add to the webapp classpath as specified in webapps.config. This allows us to reference classes that are not in the classpath specified in wrapper.config, since old installations have individual jars and not lib/*.jar specified in wrapper.config. A sample line in webapps.config is: webapps.appname.classpath=foo.jar,$I2P/lib/bar.jar Unless $I2P is specified the path will be relative to $I2P/lib for webapps in the installation and appDir/plugins/appname/lib for plugins. Sadly, setting Class-Path in MANIFEST.MF doesn't work for jetty wars. We could look there ourselves, or look for another properties file in the war, but let's just do it in webapps.config. No, wac.addClassPath() does not work. For more info see: http://servlets.com/archive/servlet/ReadMsg?msgId=511113&listName=jetty-support
  Since:
    0.7.12
  Author:
    zzz
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAppConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureClassPath()`
    `void` | `configureDefaults()`
    `void` | `configureWebApp()`
    `WebApplicationContext` | `getWebApplicationContext()`
    `void` | `setWebApplicationContext(WebApplicationContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAppConfiguration

          public WebAppConfiguration()

  - ### Method Detail

    - #### setWebApplicationContext

          public void setWebApplicationContext(WebApplicationContext context)

      Specified by:
        `setWebApplicationContext` in interface `WebApplicationContext.Configuration`

    - #### getWebApplicationContext

          public WebApplicationContext getWebApplicationContext()

      Specified by:
        `getWebApplicationContext` in interface `WebApplicationContext.Configuration`

    - #### configureClassPath

          public void configureClassPath()
                                  throws Exception

      Specified by:
        `configureClassPath` in interface `WebApplicationContext.Configuration`
      Throws:
        `Exception`

    - #### configureDefaults

          public void configureDefaults()

      Specified by:
        `configureDefaults` in interface `WebApplicationContext.Configuration`

    - #### configureWebApp

          public void configureWebApp()

      Specified by:
        `configureWebApp` in interface `WebApplicationContext.Configuration`